## org.eclipse.emf.edit.provider
Interface IWrapperItemProvider

All Superinterfaces:
  IDisposable

All Known Implementing Classes:
  AttributeValueWrapperItemProvider, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, WrapperItemProvider

    public interface IWrapperItemProvider

extends IDisposable

The base interface for a value wrapper that can implement item provider interfaces.

Method Summary
`EStructuralFeature` `getFeature()` Returns the structural feature through which the value can be set and retrieved, or null if the feature is unknown or not applicable.
`int` `getIndex()` The index at which the value is located, or `CommandParameter.NO_INDEX` if the index isn't known to the wrapper.
`java.lang.Object` `getOwner()` Returns the object that owns the value.
`java.lang.Object` `getValue()` Returns the wrapped value.
`void` `setIndex(int index)` Sets the index.

Methods inherited from interface org.eclipse.emf.edit.provider.IDisposable
`dispose`

Method Detail

### getValue

    java.lang.Object getValue()

  Returns the wrapped value.

### getOwner

    java.lang.Object getOwner()

  Returns the object that owns the value.

### getFeature

    EStructuralFeature getFeature()

  Returns the structural feature through which the value can be set and retrieved, or null if the feature is unknown or not applicable.

### getIndex

    int getIndex()

  The index at which the value is located, or `CommandParameter.NO_INDEX` if the index isn't known to the wrapper. If `getFeature()` is non-null, this index is within that feature.

### setIndex

    void setIndex(int index)

  Sets the index. Has no effect if the index isn't known to the wrapper.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.